Skip to main content
GET
Get Brazil payment status

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Path Parameters

sender
string
required

Registered WhatsApp sender number. Must be in international format.

Minimum string length: 1
paymentId
string
required

Unique identifier of the payment.

Minimum string length: 1
Pattern: ^[A-Za-z0-9\-_.]{1,35}$

Response

Payment successfully retrieved.

referenceId
string
required

Unique identifier generated by the payment service provider.

Example:

"72123248136"

paymentStatus
enum<string>
required

Status of the payment.

Available options:
NEW,
PENDING,
CAPTURED,
CANCELED,
FAILED,
UNKNOWN
Example:

"PENDING"

currency
enum<string>
required

Currency of the payment.

Available options:
INR,
BRL,
UNKNOWN
Example:

"INR"

totalAmountValue
integer<int32>
required

Value of the payment amount.

Example:

21000

totalAmountOffset
integer<int32>
required

Offset of the payment amount.

Example:

100

transactions
PaymentTransaction · object[]
required

Transactions of the payment.

paymentId
string

Unique identifier of the payment.

Example:

"16085194825"

callbackData
object

Custom parameters corresponding to the transaction. Available only for PayU UPI Payments and Razorpay.